libdar::etage Struct Reference
Private

the etage structure keep trace of directory contents More...

`#include <etage.hpp>`

## Public Member Functions

| etage (user_interaction &ui, const char *dirname, const datetime &x_last_acc, const datetime &x_last_mod, bool cache_directory_tagging, bool furtive_read_mode)
| etage (const etage &ref)=default
| etage (etage &&ref)=default
etage & | operator= (const etage &ref)=default
etage & | operator= (etage &&ref) noexcept=default
bool | read (std::string &ref)

## Public Attributes

std::deque< std::string > | fichier
| holds the list of entry in the directory More...
datetime | last_mod
| the last_lod of the directory itself More...
datetime | last_acc
| the last_acc of the directory itself More...

## Detailed Description

the etage structure keep trace of directory contents

it relies on the [fd]opendir() system call family than cannot be used recursively. Thus each etage structure contains the contents of a directory, and can then be stored beside other etage structures corresponding to subdirectories

Definition at line 49 of file etage.hpp.

## Constructor & Destructor Documentation

## etage()

libdar::etage::etage | ( |  | ) |

inline

Definition at line 51 of file etage.hpp.

## Member Data Documentation

## fichier

std::deque<std::string> libdar::etage::fichier

holds the list of entry in the directory

Definition at line 66 of file etage.hpp.

## last_acc

datetime libdar::etage::last_acc

the last_acc of the directory itself

Definition at line 68 of file etage.hpp.

## last_mod

datetime libdar::etage::last_mod

the last_lod of the directory itself

Definition at line 67 of file etage.hpp.

The documentation for this struct was generated from the following file:

- etage.hpp